﻿@model IEnumerable<eCommerce.Services.Model.Parameter>
@{
    ViewBag.Title = "Configuración > Costo de envio gratis";
    Layout = "~/Views/Shared/_ListLayout.cshtml";
}


<div class="page-header">
    <h1 class="page-title">Configuración > Costo de envio gratis</h1>
</div>

<div class="page-content">
    <div class="panel">
        <div class="panel-body">
            <div class="col-md-12">
                <div id="example">
                    @using (Html.BeginForm("FreeShipping", "Configuration", FormMethod.Post, new { @class = "form-horizontal", @autocomplete = "off" }))
                    {
                        foreach (var item in Model)
                        {
                            <div class="form-group">
                                <label class="col-sm-2 control-label">
                                    @switch (item.Name)
                                    {
                                        case "FreeShippingRetail":
                                            <span>Minorista</span>
                                            break;
                                        case "FreeShippingWS":
                                            <span>Mayorista</span>
                                            break;
                                        case "FreeShippingD":
                                            <span>Distribuidor</span>
                                            break;
                                        default:
                                            break;
                                    }
                                </label>
                                <div class="col-sm-2">
                                    <div class="input-group">
                                        <input type="text" class="form-control currency" name="@item.Name" value="@item.Value" />
                                    </div>
                                </div>
                            </div>
                        }
                        <div class="text-right">
                            <button type="submit" class="btn btn-primary btn-success" id="btnSave">Grabar</button>
                        </div>
                    }
                </div>
            </div>
        </div>
    </div>
</div>


@section Scripts {

    <script type="text/javascript">

        (function () {
            $('.form-horizontal').formValidation({
                framework: "bootstrap",
                button: {
                    selector: '#btnSave',
                    disabled: 'disabled'
                },
                icon: null,
                fields: {
                    Value: {
                        validators: {
                            notEmpty: {
                                message: 'El campo es requerido.'
                            }
                        }
                    }
                }
            });
        })();

        $(document).ready(function () {
            $(".currency").number(true, 2, ',', '.');
        });

    </script>
}

